# Interface CRLSelector

All Superinterfaces:
  `Cloneable`

All Known Implementing Classes:
  `X509CRLSelector`

public interface CRLSelector extends Cloneable
A selector that defines a set of criteria for selecting `CRL`s. Classes that implement this interface are often used to specify which `CRL`s should be retrieved from a `CertStore`.

Concurrent Access

Unless otherwise specified, the methods defined in this interface are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  1.4
See Also:
  - `CRL`
  - `CertStore`
  - `CertStore.getCRLs(CRLSelector)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Makes a copy of this `CRLSelector`.
  `boolean`
  `match(CRL crl)`
  Decides whether a `CRL` should be selected.

- ## Method Details

  - ### match

    boolean match(CRL crl)
    Decides whether a `CRL` should be selected.
    Parameters:
      `crl` - the `CRL` to be checked
    Returns:
      `true` if the `CRL` should be selected, `false` otherwise

  - ### clone

    Object clone()
    Makes a copy of this `CRLSelector`. Changes to the copy will not affect the original and vice versa.
    Returns:
      a copy of this `CRLSelector`